<div dir="ltr">Hi,<div><br></div><div>I am trying to make snort work with the latest PF_RING 6.4.1, hence started with the install of different modules comes with pf_ring tar file.</div><div>I successfully installed kernel, userland/lib, userland/libpcap and userland/tcpdump.</div><div>But when trying to configure¬†userland/snort/pfring-daq-module getting consistent error:</div><div><br></div><div>[~pfring-daq-module]$ ./configure<br></div><div>¬†<snip></div><div><div>checking CFLAGS for gcc -Wformat... -Wformat</div><div>checking CFLAGS for gcc -Wformat-security... -Wformat-security</div><div>checking CFLAGS for gcc -Wno-unused-parameter... -Wno-unused-parameter</div><div>checking CFLAGS for gcc -fno-strict-aliasing... -fno-strict-aliasing</div><div>checking CFLAGS for gcc -fdiagnostics-show-option... -fdiagnostics-show-option</div><div>checking CFLAGS for gcc -pedantic -std=c99 -D_GNU_SOURCE... -pedantic -std=c99 -D_GNU_SOURCE</div><div>checking daq_api.h usability... no</div><div>checking daq_api.h presence... no</div><div>checking for daq_api.h... no</div><div>configure: error: Could not find daq_api.h!</div></div><div><br></div><div>I am not able to figure out why it is not able to find daq_api.h, or do I have to copy it from somewhere in some directory?</div><div><br>Also, After installing various modules of pf ring (except pfring-daq-module) I installed daq-2.0.6</div>as well, which successfully got configured and installed.<br>[ ~/daq-2.0.6]$ ./configure --prefix=/usr/local/daq/2.0.6 <br>--with-libpcap-includes=/usr/local/pfring/6.4.1/include <br>--with-libpcap-libraries=/usr/local/pfring/6.4.1/lib <br>--with-dnet-includes=/usr/local/libdnet/include<br>--with-dnet-libraries=/usr/local/libdnet/lib <br>--with-libpfring-includes=/usr/local/pfring/6.4.1/include <br>--with-libpfring-libraries=/usr/local/pfring/6.4.1/lib LIBS=-lpthread<div><span style="color:rgb(51,51,51);font-family:"lucida grande","lucida sans",verdana,arial,sans-serif"><br></span></div><div><span style="color:rgb(51,51,51);font-family:"lucida grande","lucida sans",verdana,arial,sans-serif">A</span>fter installing daq module I again tried installing pfring-daq-module from PF_RING pakage, but same error.</div><div>Running CentOS7</div><div><br></div><div>Any help appreciated.</div><div><br></div><div>Thanks,</div><div>Fatema.</div><div><br></div></div>